source: configure.ac

Revision Log Mode:


Legend:

Added
Modified
Copied or renamed
Diff Rev Age Author Log Message
(edit) @77dfeb1   4 years jgross Add -D_XOPEN_SOURCE_EXTENDED This is needed for cchar_t on the ...
(edit) @e4b8f93   4 years andersk Really support building Perl modules from a separate builddir ...
(edit) @1c22155   4 years andersk Get rid of all our embedded copies of Module::Install Signed-off-by: ...
(edit) @80d7b44   4 years adehnert Update and make configurable the default format - Rather than ...
(edit) @0625919   5 years andersk Check that programs support --help and --version in ‘make ...
(edit) @487cc2b   5 years andersk configure: Support --disable-maintainer-mode automake < 1.8 doesn’t ...
(edit) @24ece84   5 years andersk Explicitly substitute abs_builddir, abs_srcdir automake < 1.10 didn’t ...
(edit) @eb5e8fc   5 years andersk Allow building in a separate build directory Signed-off-by: Anders ...
(edit) @06e04a9   5 years davidben perlvariables - iteration N Later commits reworked a lot of this, but ...
(edit) @58b6ce5   5 years andersk configure: Try openssl.pc after libcrypto.pc OpenSSL < 0.9.8 didn’t ...
(edit) @1f121cb   5 years andersk configure: Only use LIBCRYPTO_{CFLAGS,LIBS} on PKG_CHECK_MODULES ...
(edit) @35a9ec7   5 years andersk configure: Look for libcrypto even when configuring --without-krb4 ...
(edit) @290e2d0   5 years davidben Bump version for development.
(edit) @883502d   6 years davidben Bump version for development. release-1.9
(edit) @0de04fa   6 years davidben Check for AnyEvent and Glib in configure.ac They're dependencies of ... release-1.8release-1.9
(edit) @f2a96c0   6 years andersk Replace obsolete AX_C_CHECK_FLAG with AX_CHECK_COMPILE_FLAG ... release-1.8release-1.9
(edit) @4f746f8   6 years davidben Bump required glib version to 2.16 Debian Lenny's version is 2.16.6-3 ... release-1.8release-1.9
(edit) @9d43dcc   6 years andersk Build with -Wwrite-strings Signed-off-by: Anders Kaseorg <andersk@mit.edu> release-1.8release-1.9
(edit) @fe73d0c   6 years davidben Just require stdbool.h and tell ncurses to use it Now that Solaris' ... release-1.8release-1.9
(edit) @d1d68e0   6 years davidben Build with C99 This allows (and even requires) us to use ... release-1.8release-1.9
(edit) @f97c1a6   7 years davidben Merge branch 'g_main_loop' The logic in owl_select_prune_bad_fds ... release-1.8release-1.9
(edit) @1255365   7 years davidben Link to gthread-2.0 so we can use glib's threading code release-1.8release-1.9
(edit) @64c829a   7 years asedeno Encode glib version requirements in pkg-config check Reported-by: ... release-1.8release-1.9
(edit) @4479497   7 years andersk Use G_GNUC_PRINTF to get type-checking on our format strings The ... release-1.8release-1.9
(edit) @2cbe7c3   7 years andersk Protect memrchr prototype by !HAVE_DECL_MEMCHR instead of !HAVE_MEMCHR ... release-1.8release-1.9
(edit) @8061a6a   7 years andersk Move glib libraries from LDFLAGS to LIBS This fixes linker errors on ... release-1.8release-1.9
(edit) @569f0bd   7 years davidben Fix up feature macros somewhat Set _XOPEN_SOURCE to 500 to target a ... release-1.8release-1.9
(edit) @e974152   7 years davidben Bump version for development. release-1.8release-1.9
(edit) @2ff0693   7 years davidben BarnOwl 1.7rc1 release-1.7release-1.8release-1.9
(edit) @4e118a0   7 years andersk Don’t use AX_CFLAGS_STRICT_PROTOTYPES gcc errors on the obsolete ... release-1.7release-1.8release-1.9
(edit) @9fc473a   7 years andersk Silence some clang warnings for libfaim Signed-off-by: Anders Kaseorg ... release-1.7release-1.8release-1.9
(edit) @ce35060   7 years andersk Use AM_{CPP,C,LD}FLAGS instead of overriding {CPP,C,LD}FLAGS ... release-1.7release-1.8release-1.9
(edit) @12a6616   7 years davidben Add a compatibility implementation of memrchr It's a GNU extension ... release-1.7release-1.8release-1.9
(edit) @8b2789c   7 years davidben Define __EXTENSIONS__ to appease Solaris Solaris apparently will not ... release-1.7release-1.8release-1.9
(edit) @d296c9a   7 years davidben Merge branch 'owl_window' Conflicts: global.c release-1.7release-1.8release-1.9
(edit) @04af908   7 years nelhage Define _XOPEN_SOURCE, needed to get strptime() on some platforms. release-1.7release-1.8release-1.9
(edit) @ddbb43ad   7 years nelhage Add a configure flag to enable/disable building with krb4. release-1.7release-1.8release-1.9
(edit) @4751077a   7 years davidben Link to gobject for now At the least, it could be useful for ... release-1.7release-1.8release-1.9
(edit) @263320f   8 years davidben Require resizeterm This allows us to get rid of the endwin, which ... release-1.7release-1.8release-1.9
(edit) @07f655b   8 years nelhage Bump version for development. release-1.7release-1.8release-1.9
(edit) @cef53f9   8 years nelhage BarnOwl 1.6rc2 release-1.6release-1.7release-1.8release-1.9
(edit) @5a57386   8 years nelhage Define DATADIR and BINDIR in the Makefile, not config.h This is the ... release-1.6release-1.7release-1.8release-1.9
(edit) @9d2a105   8 years nelhage BarnOwl 1.6rc1 release-1.6release-1.7release-1.8release-1.9
(edit) @75b0adb   8 years nelhage Check for stdbool.h in configure. Athena 9 Solaris doesn't have a ... release-1.6release-1.7release-1.8release-1.9
(edit) @e2cbbbe   8 years nelhage Merge branch 'refactor-zcrypt' release-1.6release-1.7release-1.8release-1.9
(edit) @9a7b4f2   8 years nelhage Use zcrypt from our own bin directory. release-1.6release-1.7release-1.8release-1.9
(edit) @7d03c8d   8 years nelhage Add zcrypt to our build system. release-1.6release-1.7release-1.8release-1.9
(edit) @2d3ed95   8 years nelhage Check for some perl modules. These are the modules needed by the core ... release-1.6release-1.7release-1.8release-1.9
(edit) @4c97193   8 years nelhage Explicitly check for the presence of libperl. Apparently ... release-1.6release-1.7release-1.8release-1.9
(edit) @db4b293   8 years nelhage Add a check for the 'zip' program. Reviewed-by: Anders Kaseorg ... release-1.6release-1.7release-1.8release-1.9
(edit) @59077f9   8 years davidben Link to libpanel (provided with ncurses) libpanel makes life easier ... release-1.6release-1.7release-1.8release-1.9
(edit) @cecb125   8 years andersk Require automake ≥ 1.7.0, and don’t warn about portability to non-GNU ... release-1.6release-1.7release-1.8release-1.9
(edit) @10557e6   8 years andersk Makefile.am: Use only direct children in SUBDIRS, to appease automake ... release-1.6release-1.7release-1.8release-1.9
(edit) @ec5d1a2   8 years nelhage Start 1.6 release release-1.6release-1.7release-1.8release-1.9
(edit) @491cdb1   8 years nelhage BarnOwl 1.5 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @980fa31   8 years nelhage BarnOwl 1.5rc2 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @1fd6086   8 years nelhage BarnOwl 1.5rc1 release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @438009c   8 years andersk Correct the --with-libzephyr help string to --with-zephyr. ... release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @30b634a   8 years nelhage Bump version number for development. release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @82fbdf0   8 years nelhage BarnOwl 1.4rc1 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @de8945b   8 years andersk Require strict prototypes. Signed-off-by: Anders Kaseorg <andersk@mit.edu> release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @8073852   8 years andersk Use an aclocal macro directory m4/, and add the macros we use. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @1c89df8   8 years nelhage FOO → PERL_CFLAGS in configure.ac Signed-off-by: Nelson Elhage ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d193e28   8 years nelhage Clean up AC_CHECK_FUNCS call. Signed-off-by: Nelson Elhage ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @363eb9d   8 years nelhage configure.ac: Use AC_SEARCH_LIBS for lib{nsl,socket,resolv}. We only ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @cc1eeac   8 years nelhage configure.ac: Only use com_err if building --with-zephyr. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @806f769   8 years nelhage configure.ac: Clean up checks for Kerberos IV. Instead of searching a ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @79245bc   8 years andersk Compile with warnings enabled by default. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @215c119   8 years andersk Compile libfaim with -Wno-pointer-sign if the compiler supports it. ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b3a77b1   8 years andersk Assume des_ecb_encrypt is prototyped. I can’t find a system that has ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ce27cc1   8 years andersk configure.ac: Reimplement -fstack-protector check with ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d7cc50b   8 years andersk Death to more RCS keywords. Signed-off-by: Anders Kaseorg ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @636de2a   8 years andersk Use automake’s silent-rules mode if available, for quieter build ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ec21c62   8 years broder Correct the --with-libzephyr help message in the configure script. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @ecc958e   8 years nelhage Bump the version # for development. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @6d80673   8 years nelhage BarnOwl 1.3 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @4656238   8 years nelhage BarnOwl 1.3rc1 release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @3ff3d86   8 years nelhage Complete variables and style names release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @f4b7a03   8 years nelhage Bump the version for locker build release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b9c8d28   8 years andersk perl/modules/Makefile.am: Convert to automake. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b00c0a1   8 years nelhage Version # for locker build release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @130633c   8 years nelhage Merge branch 'automake' Conflicts: Makefile.in libfaim/Makefile.in ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @c08a725   8 years nelhage Add perl libraries to LIBS instead of LDFLAGS. For reasons I don't ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @0ce0535   8 years nelhage Remove --with-athstatic --with-athstatic has no purpose any more, and ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @37f27bc   8 years nelhage Switch the build system to using automake. Use automake for the build ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @4097723   8 years nelhage configure: Support --with{out,}-stack-protector This is a cleaner way ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @16c0416   8 years nelhage Fix building with Zephyr. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @2c270e6   8 years nelhage configure: Support an explicit --with{out,}-zephyr option. release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @c50f589   8 years nelhage Support --program-{prefix,suffix,transform}. Since our build scripts ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @7c09b21   9 years andersk configure.ac: Replace echo with AC_MSG_NOTICE. Signed-off-by: Anders ... release-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @b5fe6d2   9 years hartmans Support zcrypt using OpenSSL DES Support a hackish mechanism for ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @3da3afe   9 years hartmans Remove unneeded dependency on krb5 and krb4 Barnowl links against ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @53d4634   9 years andersk Remove m4_include(/usr/share/aclocal/pkg.m4) and let aclocal deal. ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @87afe92   9 years hartmans Support -fstack-protector Gcc and some Linux environments support a ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d54035d   9 years nelhage clarify error message when curses is missing The lack of 'w' confused ... debianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(edit) @d9337637   10 years nelhage Put glib's CFLAGS and LDFLAGS at the beginning of the corresponding ... barnowl_perlaimdebianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
(add) @680ed23   10 years nelhage Rename configure.in to configure.ac so Debian autoconf DTRT. barnowl_perlaimdebianrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
Note: See TracRevisionLog for help on using the revision log.